<?php


namespace App\Controller;


use Doctrine\ORM\EntityManagerInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

/**
 * @Route("/mean-price-for-squared-meter", name="mean_price_for_squared_meter")
 */
class MeanPriceForSquaredMeter extends AbstractController
{
    /**
     * Entity Manager
     */
    private $em;
    public function __construct(EntityManagerInterface $em) {
        $this->em = $em;
    }

    public function __invoke(Request $request) {
        $metre_prices = $this->em->getRepository('App:ValeursFonciere')->getMeanPriceForSquaredMeter();
        foreach ($metre_prices as &$metre_price){
            $metre_price['year'] = intval($metre_price['year']);
            $metre_price['mean_metre_price'] = floatval($metre_price['mean_metre_price']);
        }
        $res = new JsonResponse(
            $metre_prices,
            Response::HTTP_OK
        );
        return $res;
    }
}
