import React, { Component } from 'react'
import Logo from '../icons/Logo'
import {
  BrowserRouter as Router,
  Switch,
  Route,
  NavLink,
  useRouteMatch
} from "react-router-dom"

export class GraphsHeader extends Component {
  render() {
    return (
      <header className="welcome__top" style={{textAlign:'center'}}>
        <a
            rel="noopener noreferrer"
            href={`http://${document.domain}:3000`}
        >
          <Logo />
        </a>
        <ul className="graphs-top-menu">
          <li><NavLink to={'/graphs/mean-price-for-squared-meter'} activeClassName="active" >Mean prices by squared meter</NavLink></li>
          <li><NavLink to={'/graphs/sold-items-according-to-time-interval'} activeClassName="active" >Sold items according to time interval</NavLink></li>
          <li><NavLink to={'/graphs/sold-items-by-region'} activeClassName="active" >Sold items by region</NavLink></li>
        </ul>
      </header>
    )
  }
}

export default GraphsHeader
